#ifndef _INCLUDE_BASIN_CONFIG_H
#define _INCLUDE_BASIN_CONFIG_H 1
 
/* include/basin_config.h. Generated automatically at end of configure. */
/* include/config.h.  Generated from config.h.in by configure.  */
/* include/config.h.in.  Generated from configure.ac by autoheader.  */

/* define if the Boost library is available */
#ifndef BASIN_HAVE_BOOST 
#define BASIN_HAVE_BOOST   
#endif

/* cfitsio libs found */
#ifndef BASIN_HAVE_CFITSIO 
#define BASIN_HAVE_CFITSIO   
#endif

/* fftw with d type prefix was found */
#ifndef BASIN_HAVE_DFFTW 
#define BASIN_HAVE_DFFTW   
#endif

/* Define to 1 if you have the <dlfcn.h> header file. */
#ifndef BASIN_HAVE_DLFCN_H 
#define BASIN_HAVE_DLFCN_H  1 
#endif

/* Define to 1 if you have the `dup2' function. */
#ifndef BASIN_HAVE_DUP2 
#define BASIN_HAVE_DUP2  1 
#endif

/* Define to 1 if you have the <error.h> header file. */
#ifndef BASIN_HAVE_ERROR_H 
#define BASIN_HAVE_ERROR_H  1 
#endif

/* Define to 1 if you have the <fcntl.h> header file. */
#ifndef BASIN_HAVE_FCNTL_H 
#define BASIN_HAVE_FCNTL_H  1 
#endif

/* fftw libs found */
#ifndef BASIN_HAVE_FFTW 
#define BASIN_HAVE_FFTW   
#endif

/* lib dfftw_mpi was found */
#ifndef BASIN_HAVE_FFTW_MPI 
#define BASIN_HAVE_FFTW_MPI   
#endif

/* Define to 1 if you have the <float.h> header file. */
#ifndef BASIN_HAVE_FLOAT_H 
#define BASIN_HAVE_FLOAT_H  1 
#endif

/* Define to 1 if you have the `floor' function. */
#ifndef BASIN_HAVE_FLOOR 
#define BASIN_HAVE_FLOOR  1 
#endif

/* Define to 1 if you have the `fork' function. */
#ifndef BASIN_HAVE_FORK 
#define BASIN_HAVE_FORK  1 
#endif

/* gnuplot binary found */
#ifndef BASIN_HAVE_GNUPLOT 
#define BASIN_HAVE_GNUPLOT   
#endif

/* hdf5 libs found */
#ifndef BASIN_HAVE_HDF5 
#define BASIN_HAVE_HDF5   
#endif

/* Define to 1 if you have the <inttypes.h> header file. */
#ifndef BASIN_HAVE_INTTYPES_H 
#define BASIN_HAVE_INTTYPES_H  1 
#endif

/* Define to 1 if your system has a GNU libc compatible `malloc' function, and
   to 0 otherwise. */
#ifndef BASIN_HAVE_MALLOC 
#define BASIN_HAVE_MALLOC  1 
#endif

/* Define to 1 if you have the <memory.h> header file. */
#ifndef BASIN_HAVE_MEMORY_H 
#define BASIN_HAVE_MEMORY_H  1 
#endif

/* Define to 1 if you have the <netinet/in.h> header file. */
#ifndef BASIN_HAVE_NETINET_IN_H 
#define BASIN_HAVE_NETINET_IN_H  1 
#endif

/* Define to 1 if you have the `pow' function. */
#ifndef BASIN_HAVE_POW 
#define BASIN_HAVE_POW  1 
#endif

/* Define to 1 if your system has a GNU libc compatible `realloc' function,
   and to 0 otherwise. */
#ifndef BASIN_HAVE_REALLOC 
#define BASIN_HAVE_REALLOC  1 
#endif

/* lib drfftw was found */
#ifndef BASIN_HAVE_RFFTW 
#define BASIN_HAVE_RFFTW   
#endif

/* lib drfftw_mpi was found */
#ifndef BASIN_HAVE_RFFTW_MPI 
#define BASIN_HAVE_RFFTW_MPI   
#endif

/* Define to 1 if you have the `select' function. */
#ifndef BASIN_HAVE_SELECT 
#define BASIN_HAVE_SELECT  1 
#endif

/* Define to 1 if you have the `sqrt' function. */
#ifndef BASIN_HAVE_SQRT 
#define BASIN_HAVE_SQRT  1 
#endif

/* Define to 1 if stdbool.h conforms to C99. */
#ifndef BASIN_HAVE_STDBOOL_H 
#define BASIN_HAVE_STDBOOL_H  1 
#endif

/* Define to 1 if you have the <stdint.h> header file. */
#ifndef BASIN_HAVE_STDINT_H 
#define BASIN_HAVE_STDINT_H  1 
#endif

/* Define to 1 if you have the <stdlib.h> header file. */
#ifndef BASIN_HAVE_STDLIB_H 
#define BASIN_HAVE_STDLIB_H  1 
#endif

/* Define to 1 if you have the <strings.h> header file. */
#ifndef BASIN_HAVE_STRINGS_H 
#define BASIN_HAVE_STRINGS_H  1 
#endif

/* Define to 1 if you have the <string.h> header file. */
#ifndef BASIN_HAVE_STRING_H 
#define BASIN_HAVE_STRING_H  1 
#endif

/* Define to 1 if you have the <sys/select.h> header file. */
#ifndef BASIN_HAVE_SYS_SELECT_H 
#define BASIN_HAVE_SYS_SELECT_H  1 
#endif

/* Define to 1 if you have the <sys/socket.h> header file. */
#ifndef BASIN_HAVE_SYS_SOCKET_H 
#define BASIN_HAVE_SYS_SOCKET_H  1 
#endif

/* Define to 1 if you have the <sys/stat.h> header file. */
#ifndef BASIN_HAVE_SYS_STAT_H 
#define BASIN_HAVE_SYS_STAT_H  1 
#endif

/* Define to 1 if you have the <sys/types.h> header file. */
#ifndef BASIN_HAVE_SYS_TYPES_H 
#define BASIN_HAVE_SYS_TYPES_H  1 
#endif

/* Define to 1 if you have <sys/wait.h> that is POSIX.1 compatible. */
#ifndef BASIN_HAVE_SYS_WAIT_H 
#define BASIN_HAVE_SYS_WAIT_H  1 
#endif

/* Define to 1 if you have the <unistd.h> header file. */
#ifndef BASIN_HAVE_UNISTD_H 
#define BASIN_HAVE_UNISTD_H  1 
#endif

/* Define to 1 if you have the `vfork' function. */
#ifndef BASIN_HAVE_VFORK 
#define BASIN_HAVE_VFORK  1 
#endif

/* Define to 1 if you have the <vfork.h> header file. */
/* #undef BASIN_HAVE_VFORK_H */

/* VisIt support added */
#ifndef BASIN_HAVE_VISIT 
#define BASIN_HAVE_VISIT   
#endif

/* Define to 1 if `fork' works. */
#ifndef BASIN_HAVE_WORKING_FORK 
#define BASIN_HAVE_WORKING_FORK  1 
#endif

/* Define to 1 if `vfork' works. */
#ifndef BASIN_HAVE_WORKING_VFORK 
#define BASIN_HAVE_WORKING_VFORK  1 
#endif

/* Define to 1 if the system has the type `_Bool'. */
/* #undef BASIN_HAVE__BOOL */

/* Name of package */
#ifndef BASIN_PACKAGE 
#define BASIN_PACKAGE  "basin" 
#endif

/* Define to the address where bug reports for this package should be sent. */
#ifndef BASIN_PACKAGE_BUGREPORT 
#define BASIN_PACKAGE_BUGREPORT  "steve@physics.drexel.edu" 
#endif

/* Define to the full name of this package. */
#ifndef BASIN_PACKAGE_NAME 
#define BASIN_PACKAGE_NAME  "Basin" 
#endif

/* Define to the full name and version of this package. */
#ifndef BASIN_PACKAGE_STRING 
#define BASIN_PACKAGE_STRING  "Basin 1.1-beta" 
#endif

/* Define to the one symbol short name of this package. */
#ifndef BASIN_PACKAGE_TARNAME 
#define BASIN_PACKAGE_TARNAME  "basin" 
#endif

/* Define to the version of this package. */
#ifndef BASIN_PACKAGE_VERSION 
#define BASIN_PACKAGE_VERSION  "1.1-beta" 
#endif

/* Define as the return type of signal handlers (`int' or `void'). */
#ifndef BASIN_RETSIGTYPE 
#define BASIN_RETSIGTYPE  void 
#endif

/* Define to the type of arg 1 for `select'. */
#ifndef BASIN_SELECT_TYPE_ARG1 
#define BASIN_SELECT_TYPE_ARG1  int 
#endif

/* Define to the type of args 2, 3 and 4 for `select'. */
#ifndef BASIN_SELECT_TYPE_ARG234 
#define BASIN_SELECT_TYPE_ARG234  (fd_set *) 
#endif

/* Define to the type of arg 5 for `select'. */
#ifndef BASIN_SELECT_TYPE_ARG5 
#define BASIN_SELECT_TYPE_ARG5  (struct timeval *) 
#endif

/* Define to 1 if you have the ANSI C header files. */
#ifndef BASIN_STDC_HEADERS 
#define BASIN_STDC_HEADERS  1 
#endif

/* sets whether error.h exists */
/* #undef BASIN_USE_ERRC */

/* Version number of package */
#ifndef BASIN_VERSION 
#define BASIN_VERSION  "1.1-beta" 
#endif

/* The newest (>=1.7) version of VisItControlInterface_V1.h */
#ifndef BASIN_VISIT_NEW_CONTROL_HEADER 
#define BASIN_VISIT_NEW_CONTROL_HEADER   
#endif

/* The older (<=1.6) version of VisItControlInterface_V1.h */
/* #undef BASIN_VISIT_OLD_CONTROL_HEADER */

/* Define to empty if `const' does not conform to ANSI C. */
/* #undef _basin_const */

/* Define to `__inline__' or `__inline' if that's what the C compiler
   calls it, or to nothing if 'inline' is not supported under any name.  */
#ifndef __cplusplus
/* #undef _basin_inline */
#endif

/* Define to rpl_malloc if the replacement function should be used. */
/* #undef _basin_malloc */

/* Define to `int' if <sys/types.h> does not define. */
/* #undef _basin_pid_t */

/* Define to rpl_realloc if the replacement function should be used. */
/* #undef _basin_realloc */

/* Define to `unsigned int' if <sys/types.h> does not define. */
/* #undef _basin_size_t */

/* Define as `fork' if `vfork' does not work. */
/* #undef _basin_vfork */
 
/* once: _INCLUDE_BASIN_CONFIG_H */
#endif
