class Attribute_bracket_visitor
    : public boost::static_visitor<bv1 >
{
public:

    template <typename T> T operator()( ba<T> &i, bv2 ind) const
    {
          return i[boost::get<int>(ind)];
    }
  
};

class Attribute_bracket2_visitor
    : public boost::static_visitor<BV1 >
{
public:

    template <typename T> BV1 operator()( ba<T> &i, int ind) const
    {
      //          return BV1(i[boost::get<int>(ind)]);
          return BV1(i[ind]);
    }
  
};


class Attribute_bracketmd_visitor
    : public boost::static_visitor<BV1 >
{
public:

    template <typename T> BV1 operator()( ba<T> &i, bv_stlvec ind) const
    {
      vector<int> local_index=boost::get<vector<int> >(ind);
      T *temp;
      temp= new T;
      i.ba_get_opt(local_index, temp);
      //      i.ba_get(local_index,local_index, temp);
      return BV1(*temp);
    }
  
};

class Attribute_data_to_vec_visitor
    : public boost::static_visitor<vector<bv1> >
{
public:

    template <typename T> vector<bv1> operator()( ba<T> &i, bv_stlvec ind) const
    {
      vector<int> local_index=boost::get<vector<int> >(ind);
      int number_of_elements=local_index[1]-local_index[0]+1;
      T *temp;
      temp= new T[number_of_elements];
      i.ba_get(local_index[0],local_index[1], temp);
      vector<bv1> to_return(&temp[0],&temp[number_of_elements]);
      return to_return;
    }
  
};




/*
OK VERSION
class Attribute_plus_visitor
: public boost::static_visitor<bv >
{
public:

  //template <typename T>  ba<T> operator()( ba<T> &i,  ba<T> &b) const
  template <typename T> ba<T> operator()( ba<T> &i,bv b) const
    {
      ba<T> temp;
      //      if (i.which()==b.which())
      //{
	  temp=i+i;
	  //}
	  return temp;
    }
  
};*/


class Attribute_exp_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T> bv operator()( ba<T> &i) const
    {
      bv temp;
      temp=exp(i);
      return temp;
      }


};

class Attribute_pow_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T> bv operator()( ba<T> &i,double z) const
    {
      bv temp;
      temp=pow(i,z);
      return temp;
      }
  template <typename T> bv operator()( ba<T> &i,fftw_complex z) const
    {
      bv temp;
      temp=pow(i,z);
      return temp;
      }


};

class Attribute_random_visitor
: public boost::static_visitor<bv >
{
public:
    bv operator()(vector<int> nd,unsigned int seed) const
    {
      bv temp;
      temp=ba_random(nd,seed);
      return temp;
      }
  bv operator()(int nd,unsigned int seed) const
    {
      bv temp;
      temp=ba_random(nd,seed);
      return temp;
      }


};



//=============
class Attribute_real_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T> bv operator()( ba<T> &i) const
    {
      bv temp;
      temp=real(i);
      return temp;
      }


};

class Attribute_imag_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T> bv operator()( ba<T> &i) const
    {
      bv temp;
      temp=imag(i);
      return temp;
      }


};




//============

class Attribute_log_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T> bv operator()( ba<T> &i) const
    {
      bv temp;
      temp=log(i);
      return temp;
      }


};

//==========
class Attribute_log10_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T> bv operator()( ba<T> &i) const
    {
      bv temp;
      temp=log10(i);
      return temp;
      }


};


class Attribute_sin_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T> bv operator()( ba<T> &i) const
    {
      bv temp;
      temp=sin(i);
      return temp;
      }


};

class Attribute_cos_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T> bv operator()( ba<T> &i) const
    {
      bv temp;
      temp=cos(i);
      return temp;
      }


};

class Attribute_cosh_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T> bv operator()( ba<T> &i) const
    {
      bv temp;
      temp=cosh(i);
      return temp;
      }


};

class Attribute_sinh_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T> bv operator()( ba<T> &i) const
    {
      bv temp;
      temp=sinh(i);
      return temp;
      }


};


class Attribute_asin_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T> bv operator()( ba<T> &i) const
    {
      bv temp;
      temp=asin(i);
      return temp;
      }


};


class Attribute_acos_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T> bv operator()( ba<T> &i) const
    {
      bv temp;
      temp=acos(i);
      return temp;
      }


};
class Attribute_asinh_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T> bv operator()( ba<T> &i) const
    {
      bv temp;
      temp=asinh(i);
      return temp;
      }


};

class Attribute_acosh_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T> bv operator()( ba<T> &i) const
    {
      bv temp;
      temp=acosh(i);
      return temp;
      }


};


class Attribute_abs_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T> bv operator()( ba<T> &i) const
    {
      bv temp;
      temp=abs(i);
      return temp;
      }


};


class Attribute_sqrt_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T> bv operator()( ba<T> &i) const
    {
      bv temp;
      temp=sqrt(i);
      return temp;
      }


};


class Attribute_exp10_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T> bv operator()( ba<T> &i) const
    {
      bv temp;
      temp=exp10(i);
      return temp;
      }


};


class Attribute_atan_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T> bv operator()( ba<T> &i) const
    {
      bv temp;
      temp=atan(i);
      return temp;
      }


};


//===== visitors for relational operators======

class Attribute_lessthan_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T, typename U> bv operator()( ba<T> &i,U &b) const
    {
      bv temp;
      temp=(i<b);
      return temp;
      }


};

class Attribute_largerthan_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T, typename U> bv operator()( ba<T> &i,U &b) const
    {
      bv temp;
      temp=(i>b);
      return temp;
      }


};


class Attribute_largereq_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T, typename U> bv operator()( ba<T> &i,U &b) const
    {
      bv temp;
      temp=(i>=b);
      return temp;
      }


};

class Attribute_lesseq_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T, typename U> bv operator()( ba<T> &i,U &b) const
    {
      bv temp;
      temp=(i<=b);
      return temp;
      }


};



class Attribute_logicaleq_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T, typename U> bv operator()( ba<T> &i,U &b) const
    {
      bv temp;
      temp=(i==b);
      return temp;
      }


};


class Attribute_logicaldiff_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T, typename U> bv operator()( ba<T> &i,U &b) const
    {
      bv temp;
      temp=(i!=b);
      return temp;
      }


};



class Attribute_logicor_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T, typename U> bv operator()( ba<T> &i,U &b) const
    {
      bv temp;
      temp=i || b;
      return temp;
      }


};



//===== visitors for operators======

class Attribute_plus_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T, typename U> bv operator()( ba<T> &i,const ba<U> &b) const
    {
      bv temp;
      temp=i+b;
      return temp;
      }


};

class Attribute_plusII_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T, typename U> bv operator()( ba<T> &i,U &b) const
    {
      bv temp;
      temp=i+b;
      return temp;
      }


};

class Attribute_minus_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T, typename U> bv operator()( ba<T> &i,U &b) const
    {
      bv temp;
      temp=i-b;
      return temp;
      }


};


class Attribute_minus2_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T, typename U> bv operator()( ba<T> &i,U &b) const
    {
      bv temp;
      temp=b-i;
      return temp;
      }


};




class Attribute_times_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T, typename U> bv operator()( ba<T> &i,U &b) const
    {
      bv temp;
      temp=i*b;
      return temp;
      }


};


class Attribute_divide_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T, typename U> bv operator()( ba<T> &i,U &b) const
    {
      bv temp;
      temp=i/b;
      return temp;
      }


};



class Attribute_divide2_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T, typename U> bv operator()( ba<T> &i,U &b) const
    {
      bv temp;
      temp=b/i;
      return temp;
      }


};


class Attribute_sort_visitor
: public boost::static_visitor<bv_stat >
{
public:
    template <typename T> bv_stat operator()( ba<T> &i) const
    {
      bv_stat temp;
      cerr<<"Attribute not sortable"<<endl;
      return temp;
    }
    bv_stat operator()( ba<double> &i) const
    {
      bv_stat temp;
      temp=i.make_sortable();
      i.ba_Sort(boost::get<vector<aux_vect<double> > >(temp));
      return temp;
    }
    bv_stat operator()( ba<float> &i) const
    {
      bv_stat temp;
      temp=i.make_sortable();
      i.ba_Sort(boost::get<vector<aux_vect<float> > >(temp));
      return temp;
    }
    bv_stat operator()( ba<int> &i) const
    {
      bv_stat temp;
      temp=i.make_sortable();
      i.ba_Sort(boost::get<vector<aux_vect<int> > >(temp));
      return temp;
    }



};

class Attribute_sortA_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T> bv operator()( ba<T> &i) const
    {
      bv temp;
      temp=ba_Sort_BA(i);
      return temp;
      }
};



class Attribute_indexSorted_visitor
: public boost::static_visitor<bv >
{
public:
    template <typename T> bv operator()( ba<T> &i) const
    {
      bv temp;
      temp=index_sorted(i);
      return temp;
      }
};


class Attribute_sum_visitor
: public boost::static_visitor<BV1 >
{
public:
    template <typename T> BV1 operator()( ba<T> &i) const
    {
      return BV1(sum_BA(i));
    }
};






class Attribute_dims_visitor
: public boost::static_visitor<vector<int> >
{
public:
    template <typename T> vector<int> operator()( ba<T> &i) const
    {
      return i.ba_get_dimensions();
    }


};


class Attribute_size_visitor
: public boost::static_visitor<int >
{
public:
    template <typename T> int operator()( ba<T> &i) const
    {
      return i.ba_size();
    }


};


class Attribute_distribution_visitor
: public boost::static_visitor<vector<int> >
{
public:
    template <typename T> vector<int> operator()( ba<T> &i,bv2 rank) const
    {
      int loc_rank=boost::get<int>(rank);
      return i.ba_distribution(loc_rank);
    }


};


class Attribute_distributionIndex_visitor
: public boost::static_visitor<vector<int> >
{
public:
    template <typename T> vector<int> operator()( ba<T> &i,bv2 rank) const
    {
      return i.ba_distribution_index(boost::get<int>(rank));
    }


};

